Package org.apache.sling.servlets.annotations

## Annotation Type SlingServletName

    @ComponentPropertyType
    public @interface SlingServletName

Component Property Type (as defined by OSGi DS 1.4) for Sling Servlets. Takes care of writing the relevant service properties to set a name for a Sling Servlet. Must be combined with either `SlingServletResourceTypes` or `SlingServletPaths`.

See Also:
  Felix SCR annotations, `ServletResolverConstants`

### Field Summary

Fields
`static String` `PREFIX_` Prefix for every property being generated from the annotations elements (as defined in OSGi 7 Compendium, 112.8.2.1)

### Required Element Summary

Required Elements
`String` `servletName` Containing the name of the servlet.

### Field Detail

#### PREFIX_

    static final String PREFIX_

Prefix for every property being generated from the annotations elements (as defined in OSGi 7 Compendium, 112.8.2.1)

### Element Detail

#### servletName

    String servletName

Containing the name of the servlet. If this is empty (or not set), the `component.name` property, the `service.pid` or the `service.id` is used. At least the latter is always ensured by the OSGi framework so a name is always set!

Returns:
  the servlet name
See Also:
  `ServletResolverConstants.SLING_SERVLET_NAME`